#
# spec file for package javahelp2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oname   javahelp
Name:           javahelp2
Version:        2.0.05
Release:        32.15
Summary:        Java online help system
License:        GPL-2.0-or-later
Group:          Development/Libraries/Java
URL:            https://github.com/javaee/javahelp
Source0:        %{oname}-%{version}.tar.xz
BuildRequires:  ant >= 1.6.5
BuildRequires:  fdupes
BuildRequires:  glassfish-jsp-api
BuildRequires:  glassfish-servlet-api
BuildRequires:  java-devel >= 1.8
BuildRequires:  javapackages-local
Requires:       glassfish-jsp-api
Requires:       glassfish-servlet-api
BuildArch:      noarch

%description
JavaHelp software is a full-featured, platform-independent, extensible
help system that enables developers and authors to incorporate online
help in applets, components, applications, operating systems, and
devices. Authors can also use the JavaHelp software to deliver online
documentation for the Web and corporate Intranet.

%package manual
Summary:        Java online help system
Group:          Development/Libraries/Java

%description manual
JavaHelp software is a full-featured, platform-independent, extensible
help system that enables developers and authors to incorporate online
help in applets, components, applications, operating systems, and
devices. Authors can also use the JavaHelp software to deliver online
documentation for the Web and corporate Intranet.

%package javadoc
Summary:        Java online help system
Group:          Development/Libraries/Java

%description javadoc
JavaHelp software is a full-featured, platform-independent, extensible
help system that enables developers and authors to incorporate online
help in applets, components, applications, operating systems, and
devices. Authors can also use the JavaHelp software to deliver online
documentation for the Web and corporate Intranet.

%prep
%setup -q -n %{oname}-%{version}

# fix files perms
chmod -R go=u-w *

# remove windows files
find . -type f -name .bat | xargs rm -f

# This class provides native browser integration and would require
# JDIC project to be present.
rm jhMaster/JavaHelp/src/new/javax/help/plaf/basic/BasicNativeContentViewerUI.java

mkdir javahelp_nbproject/lib
ln -s $(build-classpath glassfish-jsp-api) javahelp_nbproject/lib/jsp-api.jar
ln -s $(build-classpath glassfish-servlet-api) javahelp_nbproject/lib/servlet-api.jar

%build
ant \
    -f javahelp_nbproject/build.xml \
	-Djavac.source=1.8 -Djavac.target=1.8 \
    -Djdic-jar-present=true \
    -Djdic-zip-present=true \
    -Dservlet-jar-present=true \
    -Dtomcat-zip-present=true \
    release javadoc

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 javahelp_nbproject/dist/lib/jhall.jar %{buildroot}%{_javadir}/%{name}.jar

# maven artifact
%add_maven_depmap javax.help:javahelp:%{version} %{name}.jar

# scripts
%jpackage_script com.sun.java.help.search.Indexer "" "" javahelp2 jh2indexer true
%jpackage_script com.sun.java.help.search.QueryEngine "" "" javahelp2 jh2search true
#install -d -m 755 %{buildroot}%{_bindir}
#install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/jh2indexer
#install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/jh2search

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr javahelp_nbproject/dist/lib/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%fdupes -s %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%attr(0755,root,root) %{_bindir}/*

%files manual
%doc jhMaster/JavaHelp/doc/public-spec/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Apr  1 2022 Fridrich Strba <fstrba@suse.com>
- Do not depend on the geronimo-specs
- Clean-up the spec file and fetch sources by source service
* Sun Mar 20 2022 Fridrich Strba <fstrba@suse.com>
- Build with java source and target levels 8
* Mon Apr 15 2019 Fridrich Strba <fstrba@suse.com>
- Build classpath directly with the jar files and not with symlink
  that might not exist.
* Mon Sep 18 2017 fstrba@suse.com
- Fix build with jdk9: specify java target and source 1.6
- Clean spec file and fix duplicate waste error
* Fri May 19 2017 dziolkowski@suse.com
- New build dependency: javapackages-local
* Wed Mar 18 2015 tchvatal@suse.com
- Fix build with new javapackages-tools
* Tue Jul  8 2014 tchvatal@suse.com
- Do not depend on ant-nodeps.
* Tue Sep 10 2013 mvyskocil@suse.com
- use add_maven_depmap from javapackages-tools
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Fri Nov  4 2011 fschuett@gymnasium-himmelsthuer.de
- Fixed jhindexer, jhsearch jar name
* Mon May 18 2009 mvyskocil@suse.cz
- fixed bnc#503327:  Confirm licenses of javahelp2
  * used clean source code from javahelp.dev.java.net
  * added a license.txt from this site
* Wed May  6 2009 mvyskocil@suse.cz
- Initial SUSE packaging of 2.0.05 (from jpp 5.0)
